tigase.util.workqueue

## Class PriorityQueueStrict<E>

- java.lang.Object
- - tigase.util.workqueue.PriorityQueueAbstract<E>
  - - tigase.util.workqueue.PriorityQueueStrict<E>

- Type Parameters:
    `E` -

      public class PriorityQueueStrict<E>
      extends PriorityQueueAbstract<E>

  Created: Jul 25, 2010 4:09:05 PM
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Field Summary

    - ### Fields inherited from class tigase.util.workqueue.PriorityQueueAbstract

      `NONPRIORITY_QUEUE, QUEUE_IMPLEMENTATION`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `PriorityQueueStrict()`
    `protected` | `PriorityQueueStrict(int maxPriority, int maxSize)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `init(int maxPriority, int maxSize)`
    `boolean` | `offer(E element, int priority)`
    `void` | `put(E element, int priority)`
    `void` | `setMaxSize(int maxSize)`
    `int[]` | `size()`
    `E` | `take()`
    `int` | `totalSize()`

    - ### Methods inherited from class tigase.util.workqueue.PriorityQueueAbstract

      `getPriorityQueue, getPriorityQueue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PriorityQueueStrict

          public PriorityQueueStrict()

    - #### PriorityQueueStrict

          protected PriorityQueueStrict(int maxPriority,
                                        int maxSize)

  - ### Method Detail

    - #### init

          public final void init(int maxPriority,
                                 int maxSize)

      Specified by:
        `init` in class `PriorityQueueAbstract<E>`

    - #### offer

          public boolean offer(E element,
                               int priority)

      Specified by:
        `offer` in class `PriorityQueueAbstract<E>`

    - #### put

          public void put(E element,
                          int priority)
                   throws InterruptedException

      Specified by:
        `put` in class `PriorityQueueAbstract<E>`
      Throws:
        `InterruptedException`

    - #### setMaxSize

          public void setMaxSize(int maxSize)

      Specified by:
        `setMaxSize` in class `PriorityQueueAbstract<E>`

    - #### size

          public int[] size()

      Specified by:
        `size` in class `PriorityQueueAbstract<E>`

    - #### take

          public E take()
                 throws InterruptedException

      Specified by:
        `take` in class `PriorityQueueAbstract<E>`
      Throws:
        `InterruptedException`

    - #### totalSize

          public int totalSize()

      Specified by:
        `totalSize` in class `PriorityQueueAbstract<E>`

Copyright © 2004–2019 "Tigase, Inc.". All rights reserved.